/* SB Admin 2 カスタマイズ */

#wrapper #content-wrapper {
 /* コンテンツの背景色 グレー->白 */
 background-color: #FFF;
 /* 最下部に余白追加 */
 padding-bottom: 50px;
 /* 長いドロップダウンが切れるため */
 overflow: visible;
}

#content {
 margin-bottom: 50px;
}

form {
 margin: 0;
}


/* ------------------------------- */
/* Font Size
/* ------------------------------- */

body {
 /* footer-fixed用 */
 margin-bottom: 60px;
 font-size: .9rem;
}

.form-control-sm {
 font-size: .8rem;
}

/* ------------------------------- */
/* Text Color
/* ------------------------------- */

/* 全体の文字色を濃くする */
body, h1, h2, h3, h4, h5, h6, .table, .form-control {
 color: #4d5156;
}

/* Placeholderの文字色を薄くする */
.form-control::placeholder {
  color: #b7b9cc;
}
/* 旧Edge対応 */
.form-control::-ms-input-placeholder {
  color: #b7b9cc;
}
/* IE対応 */
.form-control:-ms-input-placeholder {
  color: #b7b9cc;
}

.btn-outline-secondary {
 color: #4d5156;
}


/* ------------------------------- */
/* Topbar
/* ------------------------------- */

/* ヘッダー固定 */
.topbar {
 position: fixed;
 z-index: 2;
 width: 100%;
}

#header-spacer {
 margin-bottom: 105px;
}

.navbar {
 align-items: flex-start;
}

.topbar {
 height: auto;
 padding: 0 !important;
}

/* Topbar Nav */
#topbar-nav {
 width: 100%;
}

/* Main */
#topbar-nav .main {
 display: flex;
 align-items: center;
 padding: 0 20px;
}

#topbar-nav .main .menu {
 display: flex;
 margin: 0;
 padding: 0;
 list-style: none;
}

#topbar-nav .main .menu li a {
 display: block;
 margin: 5px 3px 4px;
 padding: 5px 25px 3px;
 color: #FFF;
 text-decoration: none;
}

#topbar-nav .main .menu li a.active {
 height: 100%;
 margin: 5px 3px 0;
 color: #3a3b45;
 background-color: #FFF;
 border-radius: 5px 5px 0 0;
}

#topbar-nav .nav-item .nav-link {
 height: auto;
 padding: .5rem 1rem;
}

#topbar-nav .topbar-divider {
 height: 20px;
}

/* Sub */
#topbar-nav .sub {
 display: flex;
 align-items: center;
 padding: 5px 20px;
 list-style: none;
 border-bottom: 2px solid #858796;
 background-color: #FFF;
}

#topbar-nav .sub .tab-content .tab-pane > div > div > a {
 display: block;
 margin: 0 3px;
 padding: 5px 17px;
 color: #3a3b45;
 border-radius: 5px;
 text-decoration: none;
}

#topbar-nav .sub .tab-content .tab-pane > div > div > a:hover {
 background-color: #eaecf4;
}

#topbar-nav .sub .tab-content .tab-pane > div > div > a.active {
 color: #4e73df;
 font-weight: 600;
}

#topbar-nav .sub .tab-content hr {
 margin-top: 2px;
 margin-bottom: 0;
}

/* Help */
.help .dropdown-menu {
 width: 500px !important;
}

/* Menu Btn */
.topbar .menu-btn {
 overflow: hidden;
 display: block;
 position: relative;
 z-index: 0;
 width: 40px;
 height: 40px;
 margin-right: 10px;
 cursor: pointer;
}

.topbar .menu-btn span,
.topbar .menu-btn::before,
.topbar .menu-btn::after {
 display: block;
 position: absolute;
 top: 0;
 bottom: 0;
 left:0;
 right: 0;
 width: 30px;
 height: 2px;
 margin: auto;
 background: #FFF;
}

.topbar .menu-btn span {
 overflow: hidden;
 z-index: 1;
 color: #FFF;
}

.topbar .menu-btn::before {
 z-index: 2;
 transform: translate(0, -10px);
 content: "";
}

.topbar .menu-btn::after {
 z-index: 2;
 transform: translate(0, 10px);
 content: "";
}

/* Pushy */
.pushy {
 background-color: #4e73df;
 background-image: linear-gradient(180deg,#4e73df 10%,#224abe 100%);
 background-size: cover;
 border-left: 4px solid #4e73df;
}

.pushy ul {
 padding-left: 0;
 list-style: none;
}

.pushy a,
.pushy a:link,
.pushy a:hover,
.pushy a:visited,
.pushy a:active {
 padding: 12px 5px 12px 20px;
 color: #FFF;
 font-size: 1.1rem;
}

.pushy-submenu button,
.pushy-submenu button:hover {
 padding: 12px 5px 12px 20px;
 color: #FFF;
 font-size: 1.1rem;
 -webkit-tap-highlight-color: rgba(0,0,0,0);
 outline: none;
}

.pushy ul > .pushy-submenu > ul {
 background: #FFF;
}

.pushy ul > .pushy-submenu > ul a,
.pushy ul > .pushy-submenu > ul a:link,
.pushy ul > .pushy-submenu > ul a:hover,
.pushy ul > .pushy-submenu > ul a:visited,
.pushy ul > .pushy-submenu > ul a:active {
 color: #333
}

.pushy ul > .pushy-submenu > ul a.active {
 color: #4e73df;
 font-weight: 600;
}

.pushy ul > .pushy-submenu > ul button,
.pushy ul > .pushy-submenu > ul button:hover {
 color: #333;
}

.pushy ul > .pushy-submenu > ul > li {
 border-bottom: 1px solid #dee2e6;
}

.pushy ul > .pushy-submenu .pushy-submenu ul {
 padding-left: 15px;
}

.pushy ul > .pushy-submenu .pushy-submenu ul li {
 position: relative;
 border-bottom: none;
}

.pushy ul > .pushy-submenu .pushy-submenu ul li::before {
 display: block;
 position: absolute;
 top: 0;
 bottom: 0;
 left: 7px;
 content: "-";
 width: 5px;
 height: 2px;
 margin: auto;
 line-height: 0;
}

@media (max-width: 991px) {
 .topbar {
  position: fixed;
  z-index: 2;
  width: 100%;
  padding: 5px !important;
  justify-content: flex-end;
 }

 #header-spacer {
  margin-bottom: 70px;
 }
}

/* ------------------------------- */
/* Sidebar
/* ------------------------------- */

.sidebar-divider-sub {
 margin: 0.5rem 1rem;
 border-top: 1px solid #E5E5E5;
}


/* ------------------------------- */
/* Scroll to Top
/* ------------------------------- */

.scroll-to-top {
 z-index: 10;
}


/* ------------------------------- */
/* Form
/* ------------------------------- */

/* ラベルの下余白削除 */
label {
 margin-bottom: 2px;
}


/* エラー表示 */
.error {
 margin-top: 2px;
 color: red;
 font-size: 0.8rem;
 line-height: 1.4;
 width: auto;
}

/* IME制御 IE・FFのみ*/
.ime-on {
 ime-mode: active;
}

.ime-off {
 ime-mode: inactive;
}


/* ------------------------------- */
/* Input Box
/* ------------------------------- */
/* 入力フォームの四角 */

/* 縦並び時の余白 */
.input-box {
 margin-bottom: 1rem;
}

/* Card */

/* 横並び時の高さを統一 */
.input-box .card {
 height: 100%;
}

/* 開閉する場合高さを指定しない */
.input-box .card.collapse-card {
 height: auto;
}

.input-box .card.collapse-card .card-header[data-toggle=collapse]::after {
 line-height: 44px;
}

.input-box .card-body {
 padding: 1.25rem 1.25rem .2rem;
}

.input-box .card-header a,
.input-box .card-header a:hover,
.input-box .card-header a:active {
 color: #FFF;
 font-weight: 900;
 text-decoration: none;
}

.input-box .card-header a[data-toggle=collapse]::after {
 content: '\f106';
 font-family: 'Font Awesome 5 Free';
}

.input-box .card-header a[data-toggle=collapse].collapsed::after {
 content: '\f107';
 font-family: 'Font Awesome 5 Free';
}


/* ------------------------------- */
/* Input Group
/* ------------------------------- */
/* 虫眼鏡ボタン装飾 */

.input-group .input-group-append .btn-light {
 border: 1px solid #d1d3e2;
 z-index: 1;
}


/* ------------------------------- */
/* Table
/* ------------------------------- */

/* 標準テーブル */

/* 下余白削除 */
.table {
 margin-bottom: 0;
}

.table td,
.table th {
 padding: .3rem .4rem;
 font-size: 0.9rem;
 border: 1px solid #bbb;
 vertical-align: middle;
}

.table thead {
 background-color: #eee;
}

.table thead th {
 border-bottom: none;
}

.table tbody {
 background-color: #FFF;
}

.table tbody td a {
 display: block;
}

.table tbody td a.btn {
 display: inline-block;
}

/* ソートボタン */
i.fa-sort,
i.fa-sort-asc,
i.fa-sort-desc {
 cursor: pointer;
}

/* 明細テーブル */
.table.detail td {
 padding: .2rem;
}

.table.detail .form-control,
.table.detail .form-control-sm {
 height: auto;
 padding: .25rem;
 line-height: 1;
 border: none;
 border-radius: 0;
}

.table.detail .form-control:disabled,
.table.detail .form-control[readonly] {
 background-color: inherit;
}


/* ------------------------------- */
/* Modal
/* ------------------------------- */

/* 992～1600pxでも.modal-xlを適用 */
@media (min-width: 992px) {
 .modal-xl {
  min-width: 1140px !important;
 }
}


/* ------------------------------- */
/* Footer Fixed
/* ------------------------------- */

#footer-fixed {
 position: fixed;
 bottom: 0;
 width: 100%;
 padding: 1rem 1.5rem;
 border-top: 1px solid #c0c0c0;
 background-color: #f5f5f5;
 z-index: 2;
}

#footer-fixed .btn-outline-secondary {
 background-color: #FFF;
}

#footer-fixed .btn-outline-secondary:hover {
 background-color: #545b62;
}

@media (max-width: 767px) {
 #footer-fixed {
  overflow-x: scroll;
  padding: 0.8rem 0.6rem;
 }

 #footer-fixed .btn {
  padding: .3rem .5rem;
 }
}

#footer-fixed-sub {
 position: fixed;
 bottom: 64px;
 width: 100%;
 padding: 1rem 1.5rem;
 border-top: 1px solid #c0c0c0;
 background-color: #FFF;
 z-index: 2;
}

@media (max-width: 767px) {
 #footer-fixed-sub {
  padding: 0.8rem 0.6rem;
 }

 #footer-fixed-sub .btn {
  padding: .3rem .5rem;
 }
}

/* ------------------------------- */
/* Table Sort
/* ------------------------------- */
.table-responsive table .sorting {
 cursor: pointer;
}


/* ------------------------------- */
/* Dropify
/* ------------------------------- */

/* カスタムメッセージが大きくなる不具合 */
.dropify-wrapper .dropify-message span.file-icon p {
 font-size: 14px;
}


/* ------------------------------- */
/*検索モーダル
/* ------------------------------- */

/* テーブル キーボード行移動 */

/* テーブルにフォーカスさせるため必要なテキストボックス（display:none;はNG） */
.tableEventShifter{
 position:absolute;
 z-index: -10;
 height:0;
}

table.search-result .selected {
 background: #fff8dc;
}


/* ------------------------------- */
/* FullCalendar
/* ------------------------------- */

/* ヘッダーボタンを小さくする */
.fc-header-toolbar .btn {
 padding: 0.25rem 0.5rem;
 font-size: .875rem;
 line-height: 1.5;
 border-radius: 0.2rem;
}

/* ツールチップ（SB Asmin初期化） */
.tooltip {
 opacity: 1;
}

.tooltip-inner {
 max-width: none;
 padding: 0;
 color: #333;
 background-color: #FFC107;
 border-radius: 0;
}

/* ツールチップ 装飾（Popper） */
.popper,
.tooltip {
  position: absolute;
  z-index: 9999;
  background: #FFC107;
  color: black;
  width: 150px;
  border-radius: 3px;
  box-shadow: 0 0 2px rgba(0,0,0,0.5);
  padding: 10px;
  text-align: center;
}
.style5 .tooltip {
  background: #1E252B;
  color: #333333;
  max-width: 200px;
  width: auto;
  font-size: .8rem;
  padding: .5em 1em;
}
.popper .popper__arrow,
.tooltip .tooltip-arrow {
  width: 0;
  height: 0;
  border-style: solid;
  position: absolute;
  margin: 5px;
}

.tooltip .tooltip-arrow,
.popper .popper__arrow {
  border-color: #FFC107;
}
.style5 .tooltip .tooltip-arrow {
  border-color: #1E252B;
}
.popper[x-placement^="top"],
.tooltip[x-placement^="top"] {
  margin-bottom: 5px;
}
.popper[x-placement^="top"] .popper__arrow,
.tooltip[x-placement^="top"] .tooltip-arrow {
  border-width: 5px 5px 0 5px;
  border-left-color: transparent;
  border-right-color: transparent;
  border-bottom-color: transparent;
  bottom: -5px;
  left: calc(50% - 5px);
  margin-top: 0;
  margin-bottom: 0;
}
.popper[x-placement^="bottom"],
.tooltip[x-placement^="bottom"] {
  margin-top: 5px;
}
.tooltip[x-placement^="bottom"] .tooltip-arrow,
.popper[x-placement^="bottom"] .popper__arrow {
  border-width: 0 5px 5px 5px;
  border-left-color: transparent;
  border-right-color: transparent;
  border-top-color: transparent;
  top: -5px;
  left: calc(50% - 5px);
  margin-top: 0;
  margin-bottom: 0;
}
.tooltip[x-placement^="right"],
.popper[x-placement^="right"] {
  margin-left: 5px;
}
.popper[x-placement^="right"] .popper__arrow,
.tooltip[x-placement^="right"] .tooltip-arrow {
  border-width: 5px 5px 5px 0;
  border-left-color: transparent;
  border-top-color: transparent;
  border-bottom-color: transparent;
  left: -5px;
  top: calc(50% - 5px);
  margin-left: 0;
  margin-right: 0;
}
.popper[x-placement^="left"],
.tooltip[x-placement^="left"] {
  margin-right: 5px;
}
.popper[x-placement^="left"] .popper__arrow,
.tooltip[x-placement^="left"] .tooltip-arrow {
  border-width: 5px 0 5px 5px;
  border-top-color: transparent;
  border-right-color: transparent;
  border-bottom-color: transparent;
  right: -5px;
  top: calc(50% - 5px);
  margin-left: 0;
  margin-right: 0;
}

/* ------------------------------- */
/* disabled背景色 */
/* ------------------------------- */
input:disabled
{
  background: #eaecf4 !important;
  cursor: not-allowed !important;
}

/* ボタンの背景が白くなっちゃう */
input[readonly]
{
  background: #eaecf4 !important;
  cursor: not-allowed !important;
}


/* フォーカス時border強調 */
input:focus, select:focus
{
  outline: 2px solid #ffa500 !important;
  box-shadow: 0 0 0 0.2rem #ff9900 !important;
}


/* エラー表示 */
.text-red {
 color: red;
}

.uneditable {
  background-color: #DDA0DD !important;
}


/* Barグラデーション */

.bg-gradient-primary {
 background-color: #4e73df;
 background-image: linear-gradient( 180deg, #224abe 10%, #000 100%);
 background-size: cover;
}

.bg-primary {
 background-color: #4e73df;
 background-image: linear-gradient( 180deg, #224abe 10%, #000 100% );
}

/* ------------------------------- */
/* Table 行マウスオーバー反転表示
/* ------------------------------- */

table tbody tr[ data-href ] {
 cursor: pointer;
}

table tbody tr[ data-href ]:hover {
 background: #777;
 color: #FFF;
}

/* ------------------------------- */
/* Modal フルサイズ
/* ------------------------------- */

.modal-dialog-fluid {
  max-width: inherit;
  width: 98%;
  margin-left: 15px;
}